summaryrefslogtreecommitdiff
path: root/dev-python/pyfakefs
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pyfakefs
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pyfakefs')
-rw-r--r--dev-python/pyfakefs/Manifest3
-rw-r--r--dev-python/pyfakefs/metadata.xml13
-rw-r--r--dev-python/pyfakefs/pyfakefs-3.7.1.ebuild29
-rw-r--r--dev-python/pyfakefs/pyfakefs-3.7.2.ebuild29
-rw-r--r--dev-python/pyfakefs/pyfakefs-4.0.2.ebuild29
5 files changed, 103 insertions, 0 deletions
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
new file mode 100644
index 000000000000..fb574d96922a
--- /dev/null
+++ b/dev-python/pyfakefs/Manifest
@@ -0,0 +1,3 @@
+DIST pyfakefs-3.7.1.tar.gz 179420 BLAKE2B 46f902527c2c69af1d7d5e296a25d5415b4fba68d4ed76d7bc138e4b2d53dbd4bf7dc6fd75a8e5277eccb9740c67d5fdf5b640fbc577f22690ee32db434c3676 SHA512 910cef89443546c9a5f600cbe06cbdc396ac82d15d852768c06c2f97e764b05ee9fe9bea7687404a9a962924bd33c45d9de2a04b448fe6350d8cc31c4e163dfc
+DIST pyfakefs-3.7.2.tar.gz 180195 BLAKE2B f1e76b652fc67f630fb45798974dc22455e9e99509829fbcaa479f36887c90207d7b6f087e89c9e113bb44df8c4221dc4676129663740812a9426d84a1d47401 SHA512 33bdbf7e21f1135c0ee048943a4b7dffec96e018285e4ee2e6a1c6a7f9e595e27348c83af3803d80322e7fd12a59985a6bf6342aa6211ba95c74ffa20929fb5a
+DIST pyfakefs-4.0.2.tar.gz 177627 BLAKE2B a52bd900466203af6170bb9ce92f1e5f73f246d576f12390f5b52224de34fa69a3a4c426319b701953f040e343bcf267e20ea2a33df62c4a46f6397f760330aa SHA512 ba14cbc278ece50142d441b7731b01ba316ba9f11e5d442476e12b8b678490aace9578eb3b2fa2e47d6805795ceaf85574d3c5fb992a098585597c7e96d7143a
diff --git a/dev-python/pyfakefs/metadata.xml b/dev-python/pyfakefs/metadata.xml
new file mode 100644
index 000000000000..f8bcf773671e
--- /dev/null
+++ b/dev-python/pyfakefs/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pyfakefs</remote-id>
+ <remote-id type="github">jmcgeheeiv/pyfakefs</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pyfakefs/pyfakefs-3.7.1.ebuild b/dev-python/pyfakefs/pyfakefs-3.7.1.ebuild
new file mode 100644
index 000000000000..c0436c536db7
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-3.7.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_6,3_7,3_8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="a fake file system that mocks the Python file system modules"
+HOMEPAGE="https://github.com/jmcgeheeiv/pyfakefs/ https://pypi.org/project/pyfakefs/"
+SRC_URI="https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ppc ~sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ "${EPYTHON}" -m pyfakefs.tests.all_tests -v || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pyfakefs/pyfakefs-3.7.2.ebuild b/dev-python/pyfakefs/pyfakefs-3.7.2.ebuild
new file mode 100644
index 000000000000..b866264b0c15
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-3.7.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_6,3_7,3_8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="a fake file system that mocks the Python file system modules"
+HOMEPAGE="https://github.com/jmcgeheeiv/pyfakefs/ https://pypi.org/project/pyfakefs/"
+SRC_URI="https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ "${EPYTHON}" -m pyfakefs.tests.all_tests -v || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pyfakefs/pyfakefs-4.0.2.ebuild b/dev-python/pyfakefs/pyfakefs-4.0.2.ebuild
new file mode 100644
index 000000000000..d793aa33856b
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-4.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="a fake file system that mocks the Python file system modules"
+HOMEPAGE="https://github.com/jmcgeheeiv/pyfakefs/ https://pypi.org/project/pyfakefs/"
+SRC_URI="https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ "${EPYTHON}" -m pyfakefs.tests.all_tests -v || die "tests failed under ${EPYTHON}"
+}